# DataExchange
TKSTEPBase
RWStepGeom

# RWStepGeom_RWOffsetCurve3d Class Reference

Read & Write Module for OffsetCurve3d
.

`#include <RWStepGeom_RWOffsetCurve3d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | RWStepGeom_RWOffsetCurve3d ()
Standard_EXPORT void | ReadStep (const Handle(StepData_StepReaderData)&data, const Standard_Integer num, Handle(Interface_Check)&ach, const Handle(StepGeom_OffsetCurve3d)&ent) const
Standard_EXPORT void | WriteStep (StepData_StepWriter &SW, const Handle(StepGeom_OffsetCurve3d)&ent) const
Standard_EXPORT void | Share (const Handle(StepGeom_OffsetCurve3d)&ent, Interface_EntityIterator &iter) const

## Constructor & Destructor Documentation

Standard_EXPORT RWStepGeom_RWOffsetCurve3d::RWStepGeom_RWOffsetCurve3d | ( |  | ) |

## Member Function Documentation

void RWStepGeom_RWOffsetCurve3d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* RWStepGeom_RWOffsetCurve3d::operator new | ( | size_t | size | ) | `[inline]`

void* RWStepGeom_RWOffsetCurve3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void RWStepGeom_RWOffsetCurve3d::ReadStep | ( | const Handle(StepData_StepReaderData)& | data,
|  | const Standard_Integer | num,
|  | Handle(Interface_Check)& | ach,
|  | const Handle(StepGeom_OffsetCurve3d)& | ent
| ) | const

Standard_EXPORT void RWStepGeom_RWOffsetCurve3d::Share | ( | const Handle(StepGeom_OffsetCurve3d)& | ent,
|  | Interface_EntityIterator & | iter
| ) | const

Standard_EXPORT void RWStepGeom_RWOffsetCurve3d::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle(StepGeom_OffsetCurve3d)& | ent
| ) | const

The documentation for this class was generated from the following file:

- RWStepGeom_RWOffsetCurve3d.hxx